Page MenuHomePhabricator

Upgrade GeoData extension to use newer phan
Closed, ResolvedPublic

Description

GeoData needs to be upgraded to a newer version of phan, our PHP static analysis tool. This brings in
over 2 years of upstream improvements and lots of bug fixes.

Please follow the instructions on how to migrate at https://www.mediawiki.org/wiki/Continuous_integration/Tutorials/Add_phan_to_a_MediaWiki_extension#Migrating_from_phan_0.8.0.

Please also set the Gerrit topic for all patches related to this effort with new-phan-plz.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a project: Discovery-Search. · View Herald TranscriptFeb 24 2019, 7:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as Normal priority.Feb 28 2019, 6:09 PM
debt moved this task from needs triage to elastic / cirrus on the Discovery-Search board.

Change 493497 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/GeoData@master] Upgrade phan to 1.2.0

https://gerrit.wikimedia.org/r/493497

Change 493497 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] Upgrade phan to 1.2.0

https://gerrit.wikimedia.org/r/493497

MaxSem closed this task as Resolved.Feb 28 2019, 8:28 PM

Change 493776 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/GeoData@master] Bump version of mediawiki/mediawiki-phan-config to 0.4.0

https://gerrit.wikimedia.org/r/493776

Legoktm reopened this task as Open.Mar 2 2019, 7:26 AM
Legoktm added a subscriber: Zoranzoki21.

phan isn't actually passing, good catch by @Zoranzoki21.

Change 493776 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] Bump version of mediawiki/mediawiki-phan-config to 0.4.0

https://gerrit.wikimedia.org/r/493776

Zoranzoki21 closed this task as Resolved.Mar 2 2019, 8:21 PM

Looks good now, reclosing as resolved :)